# coding=utf-8

from django.test import TestCase

from web.email import EmailSender
from web.models import ConfigurationItem
from web.models.constants import EMAIL_HOST_CONFIGURATION_TYPE, EMAIL_PASSWORD_CONFIGURATION_TYPE, \
    EMAIL_PORT_CONFIGURATION_TYPE, EMAIL_USER_CONFIGURATION_TYPE, EMAIL_CONFIGURATION_TYPE


class TestEmailSender(TestCase):
    def setUp(selfself):
        host = ConfigurationItem.objects.get(type=EMAIL_HOST_CONFIGURATION_TYPE)
        host.value = "smtp.uni.lu"
        host.save()
        port = ConfigurationItem.objects.get(type=EMAIL_PORT_CONFIGURATION_TYPE)
        port.value="25"
        port.save()

        # uni doesn't check it
        user = ConfigurationItem.objects.get(type=EMAIL_USER_CONFIGURATION_TYPE)
        password = ConfigurationItem.objects.get(type=EMAIL_PASSWORD_CONFIGURATION_TYPE)


        email_from = ConfigurationItem.objects.get(type=EMAIL_CONFIGURATION_TYPE)
        email_from.value = "piotr.gawron@uni.lu"
        email_from.save()

    def test_send_email(self):
        email_sender = EmailSender()
        email_sender.send_email("test", "test body<br/>and content", "piotr.gawron@uni.lu")
